Bug 205017 - Watchpoint tied action not executed on hit
Watchpoint tied action not executed on hit
Status: RESOLVED FIXED
Product: CDT
Classification: Tools
Component: cdt-debug
4.0
PC All
: P3 normal (vote)
: 4.0.2
Assigned To: Ken Ryall CLA Friend
: contributed
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-10-01 03:27 EDT by Denis PILAT CLA Friend
Modified: 2008-06-22 02:22 EDT (History)
2 users (show)

See Also:


Attachments
Fix proposal (1.27 KB, patch)
2007-11-21 08:55 EST, Denis PILAT CLA Friend
bjorn.freeman-benson: iplog+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Denis PILAT CLA Friend 2007-10-01 03:27:49 EDT
Build ID: I20070625-1500


Steps To Reproduce:
Here is the simplest way to reproduce it:
1. In a C project where a global variable is used, set a watchpoint to a this global variable
2. Create a sound action an attach it to the watchpoint
3. Debug the project as a local application
==> The watchpoint is hit, but the sound action (or other action) wont be executed.


More information:
IT seems that only the "standard" breakpoints action are executed. Watchpoints even when hit never execute their associated actions. This occurs on Linux and Windows hosts.
Spec of this new functionality has been defined here: https://bugs.eclipse.org/bugs/show_bug.cgi?id=118299
Comment 1 Denis PILAT CLA Friend 2007-11-21 08:55:02 EST
Created attachment 83427 [details]
Fix proposal
Comment 2 Ken Ryall CLA Friend 2007-11-21 15:54:10 EST
Applied patch to HEAD and CDT_4_0.